#! /usr/bin/python
class Table:
    '''A class to model a gadfly table'''
    def __init__(self, name, columns):
        self.next_key = 0
        self.name = name
        self.columns = columns
        return

    def create(self, cursor):
        _str = 'create table %s (_sn integer, ' % self.name
        cols = self.columns
        for c in cols[:-1]:
            _str += '%s %s, ' % (c[0], c[1])
        _str += '%s %s)' % (cols[-1][0], cols[-1][1])
##        print _str
        cursor.execute(_str)
        return

    def insert_list(self, cursor, list):
        cols = self.columns
        _str = 'insert into %s(_sn, ' % self.name
        for c in cols[:-1]:
            _str += '%s, ' % c[0]
        _str += '%s) values (%i, ' % (cols[-1][0], self.next_key)
        for ii in range(len(list)-1):
            if cols[ii][1] == 'integer':
                _str += '%s, ' % int(list[ii])
            elif cols[ii][1] == 'float':
                _str += '%s, ' % float(list[ii])
            else:
                _str += "'%s', " % str(list[ii])

        if cols[-1][1] == 'integer':
            _str += '%s)' % int(list[-1])
        elif cols[-1][1] == 'float':
            _str += '%s)' % float(list[-1])
        else:
            _str += "'%s')" % str(list[-1])
##        print _str
        self.next_key += 1
        cursor.execute(_str)


if __name__ == '__main__':
    exit(0)
