from mod_python import apache
import os

from configuration import Configuration

def handler(req):
    req.content_type = 'text/plain'
    req.send_http_header()
    ip = req.get_remote_host(apache.REMOTE_NOLOOKUP)

    ## == If a legacy kickstart file exists, use it
    oldfn = '%s%s-kickstart'% (req.get_dirs()['PythonHandler'], ip)
    if os.path.isfile(oldfn):
        fo = open(oldfn)
        req.write(fo.read())
        fo.close()
        return apache.OK

    ## == Start of the new stuff
    m = Configuration(ip)
    req.write(m.get_kickstart())

    return apache.OK
