from mod_python import apache
import os

from configuration import Configuration

def handler(req):
    (dirname, fn) = os.path.split(req.uri)
    (mod, py) = os.path.splitext(fn)
##    req.write(dirname+'\n')
##    req.write(fn+'\n')
##    req.write(mod+'\n')
##    req.write(py+'\n')

    req.content_type = 'text/html'
    req.send_http_header()

    try:
        mod = __import__(mod)
    except ImportError:
        pass
    else:
        mod.main(req)    
        return apache.OK

    return apache.OK
